%define module_name Pipe-Tube-Csv
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Pipe.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt2
Summary: Csv processor tube in Pipe
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SZ/SZABGAB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The ->csv()  call can get a HASH reference parameter, the same parameter as
the Text::CSV manpage would get. We pass it directly to that module.

Split up lines of csv file and return an array reference for each line.

TODO: use the first row as key names and on every other row return a hash of the values
 using the above header

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/P*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2
- updated summary

* Wed Sep 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

